import request from '@/utils/request'

// 查询园内专有物资管理列表
export function listMaterials(query) {
  return request({
    url: '/mudu/materials/list',
    method: 'get',
    params: query
  })
}

// 查询园内专有物资管理详细
export function getMaterials(id) {
  return request({
    url: '/mudu/materials/' + id,
    method: 'get'
  })
}

// 新增园内专有物资管理
export function addMaterials(data) {
  return request({
    url: '/mudu/materials',
    method: 'post',
    data: data
  })
}

// 修改园内专有物资管理
export function updateMaterials(data) {
  return request({
    url: '/mudu/materials',
    method: 'put',
    data: data
  })
}

// 删除园内专有物资管理
export function delMaterials(id) {
  return request({
    url: '/mudu/materials/' + id,
    method: 'delete'
  })
}
